Subject: [tsvwg] Review draft-ietf-tsvwg-ecn-encap-guidelines

From: "Scheffenegger, Richard" <[email-masked]>
Date: Wed, 1 Apr 2015 11:41:43 +0000

Hi Bob, Pat, John,

I've reviewed this document; As is well known, I'm a big fan of ECN and support this draft.

A few nits and word-smithings:

Sec 1, 3rd para:

s/(v4 & v6)/(v4 and v6)/

5th para:

"However, this has often be more due to the inability of the original
   TCP protocol to saturate the links"

Better:

However, this has often more to do with the inability of the TCP protocol in the (New)Reno variant to saturate the links.

8th para:
s/most tricky aspect/most delicate aspect/

s/congestion would just deteriorate further/congestion would build up further/ (deteriorating congestion may not be unambiguous; same 2 sentences further)

Sec 2, PDU

s/&/and/

Move the definition of Load Regulator forward by 2 items (ECN-PDU refer to that).

Sec 4,

Definition of "Null"

Would that include networks which are virtually loss-less (eg. FibreChannel with credit-based transmission schemes [FCVI and FC-IP are two schemes to run IP over this type of network]), or (theoretical) optimal Flow-Control enabled Ethernet networks, and perhaps Infiniband (not too familiar with that)? I'm trying to decipher what packet network nodes "cannot experience congestion". Perhaps a slightly expanded text giving an concrete example would help here. Reading section 4.4 seems to indicate my examples might be the ones you had in mind.

Sec 4.1., 2nd para

s/3 & 4/3, and 4/

7th para:

s/"However, in ATM, this is only as part " / ... only a part/

s/ layer--the/layer -- the/

Sec 4.3, 2nd para:

s/approaching congestion or congested/approaching congestion or is congested/

Sec 5.4, last para:

s/future use through new standards actions./... new standards body actions./

Section 7:

Would there be any value in discussing a hypothetical "feed-back and up" mode? Without loss for non-ECT-PDUs and marking of inner headers for ECT-PDUs?

Richard Scheffenegger